require "import"
import "java.text.SimpleDateFormat"
import "java.util.Date"
import "android.content.Context"
import "android.content.Intent"
import "android.content.IntentFilter"
import "android.os.BatteryManager"

-- Get current time
local formattedTime = SimpleDateFormat("hh:mm a").format(Date())

-- Get battery level
local batteryIntent = this.registerReceiver(nil, IntentFilter(Intent.ACTION_BATTERY_CHANGED))
local level = batteryIntent.getIntExtra(BatteryManager.EXTRA_LEVEL, -1)
local scale = batteryIntent.getIntExtra(BatteryManager.EXTRA_SCALE, -1)
local batteryPercent = (level / scale) * 100

-- Create and speak the message
local message = "The time is " .. formattedTime .. " and the battery level is " .. string.format("%.0f", batteryPercent) .. "%."
this.speak(message)

return true
